%define version 4.1.19.25
%define release %mkrel 2

Summary: Mandriva graphical boot theme
Name: mandriva-gfxboot-theme
Version: %version
Release: %release
License: GPL 
Group: System/Configuration/Boot and Init
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/theme/mandriva-gfxboot-theme/trunk/
Source: mandriva-gfxboot-theme-%{version}.tar.lzma
#
Source1: back.jpg
Source2: welcome.jpg
Source3: timer_a.jpg
Source4: mandriva.pcx
Source5: grub-gfxmenu

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gfxboot-devel
Requires(post): perl-Archive-Cpio
Exclusivearch: %ix86 x86_64

%description
This package provides the Mandriva gfxboot theme. This theme is used by the
Mandriva installation to initialized the CDROM boot, and by installed system
to boot.

%prep
%setup -q

# our jpegs:
install -m 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} data-install/
install -m 644 %{SOURCE1} %{SOURCE3} data-boot/

%build
#gfxboot binary is needed for the build and is in /usr/sbin
#make sure we only build one task at a time since po generation is broken
#otherwise
PATH="$PATH:/usr/sbin" make

%install
rm -rf $RPM_BUILD_ROOT
dest=%{buildroot}%{_datadir}/gfxboot/themes/Mandriva
install -d $dest/install $dest/boot
install bootlogo bootlogo.dir/* $dest/install/
install message $dest/boot/

# install grub-gfxmenu
install -d %{buildroot}%{_sbindir}
install %{SOURCE5} %{buildroot}%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" -gt 1 ]; then
   %_sbindir/grub-gfxmenu --update-gfxmenu
fi

%files
%defattr(-,root,root,-)
%doc
%_sbindir/*
%_datadir/gfxboot/themes/Mandriva/





%changelog
* Wed Aug 10 2011 Alex Burmashev <burmashev@mandriva.org> 4.1.19.25-2mdv2011.0
+ Revision: 693842
- changed back and welcome images

* Fri Jul 22 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.1.19.25-1
+ Revision: 691090
- 4.1.19.25:
- updated strings for mandriva 2011

* Tue Jun 28 2011 Alex Burmashev <burmashev@mandriva.org> 4.1.19.24-3
+ Revision: 687628
- updated back and welcome jpg

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 4.1.19.24-2
+ Revision: 666384
- mass rebuild

* Tue Mar 15 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.1.19.24-1
+ Revision: 644918
- 4.1.19.24:
 - updated for mandriva 2011 beta

* Mon Jan 10 2011 Eugeni Dodonov <eugeni@mandriva.com> 4.1.19.23-1
+ Revision: 630881
- 4.1.19.23
- update tag to 2011 alpha

* Wed Jun 23 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.22-1mdv2010.1
+ Revision: 548705
- 4.1.19.22
- translation updates
- fix handling of pt_PT/pt_BR in language list

* Tue May 18 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.21-1mdv2010.1
+ Revision: 545186
- translation updates

* Tue Apr 06 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.20-1mdv2010.1
+ Revision: 532018
- 4.1.19.20
- translation updates

* Thu Feb 04 2010 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.19-1mdv2010.1
+ Revision: 500812
- 4.1.19.19:
- translation updates

* Thu Dec 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.18-1mdv2010.1
+ Revision: 475988
- 4.1.19.18
- translation updates

* Mon Nov 30 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.17-1mdv2010.1
+ Revision: 471956
- 4.1.19.17:
- Change strings to mandriva 2010 Spring

* Thu Oct 29 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.16-1mdv2010.0
+ Revision: 460145
- 4.1.19.16:
- new theme for 2010.0
- new gfxboot theme background
- add new mask for mandriva logo fade-in

* Tue Sep 15 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.15-1mdv2010.0
+ Revision: 443071
- 4.1.19.15:
- translation updates for rc1

* Tue Aug 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.14-1mdv2010.0
+ Revision: 417776
- 4.1.19.14:
- translation updates for beta1

* Tue Aug 04 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.13-2mdv2010.0
+ Revision: 409344
- fix broken build of mandriva-gfxboot-theme

* Tue Aug 04 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.13-1mdv2010.0
+ Revision: 409137
- 4.1.19.13:
- attempt at fixing bug #51228

* Fri Jul 24 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.12-1mdv2010.0
+ Revision: 399421
- 4.1.19.12:
  o 2009 Spring => 2010

* Mon May 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.11-2mdv2010.0
+ Revision: 379638
- Raise release number to workaround BS bug
- 4.1.19.11:
- update 16x16 font, fixes bug #48474 and bug #30565

* Wed Apr 15 2009 Thierry Vignaud <tv@mandriva.org> 4.1.19.10-1mdv2009.1
+ Revision: 367539
- updated translation

  + Christophe Fergeau <cfergeau@mandriva.com>
    - 4.1.19.10:
      o translation updates
    - Remove obsolete files

* Fri Mar 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.9-1mdv2009.1
+ Revision: 361657
- 4.1.19.9
- translate hdt (hardware detection tool) boot entry

* Tue Mar 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.8-1mdv2009.1
+ Revision: 353436
- 4.1.19.8:
  * really fix 32/64/dual CD detection

* Mon Mar 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.7-1mdv2009.1
+ Revision: 353285
- 4.1.19.7 release:
  * 32/64 bit fixes

  + Antoine Ginies <aginies@mandriva.com>
    - fix URL

* Mon Mar 09 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.6-1mdv2009.1
+ Revision: 353097
- 4.1.19.6:
  hide all entries ending in (or rather containing) "64" in isolinux.cfg

* Thu Mar 05 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.5-1mdv2009.1
+ Revision: 349003
- Respawn tarball since the previous one might be wrong
- 4.1.19.5:
  o string fixes
  o translation updates

* Mon Mar 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.4-1mdv2009.1
+ Revision: 347256
- 4.1.19.4:
- don't display a warning when booting a 32 bit CDROM on a 64 bit machine

* Fri Feb 27 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.3-1mdv2009.1
+ Revision: 345615
- 4.1.19.3:
  fix entry numbering when there are hidden entries otherwise that confuses grub. Fixes #48150

* Wed Feb 25 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.2-1mdv2009.1
+ Revision: 344803
- 4.1.19.2:
  o fix graphical corruption when displaying the language menu
  o hide linux-nonfb entry
  o start fixing dual-arch images
  o fix mandriva logo fadein at startup
- Add logo mask for fade in effect

* Fri Feb 13 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19.1-1mdv2009.1
+ Revision: 340074
- Apply changes pixel forgot to commit before leaving :-/

* Wed Feb 11 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19-3mdv2009.1
+ Revision: 339475
- Time for a new release, previous one was broken
- Try to fix broken patch

* Wed Feb 11 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19-2mdv2009.1
+ Revision: 339364
- 4.1.19-2: don't hide linux-nonfb for beta1 release
- Don't hide linux-nonfb in boot menu for now
- Use mandriva color scheme in help windows

* Tue Feb 10 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19-1mdv2009.1
+ Revision: 339178
- gfxboot is in /usr/sbin so add this to PATH before building
- Really remove text.jpg
- Don't install text.jpg (used for the startup animation) for now
- Add missing image, replace suse artwork with mandriva artwork

  + Pixel <pixel@mandriva.com>
    - adapt to gfxboot packaging: add buildrequire gfxboot-devel
    - update (using latest openSUSE files)
    - package our changes in patches

* Fri Jan 16 2009 Pixel <pixel@mandriva.com> 0.38-1mdv2009.1
+ Revision: 330172
- 0.38: really switch from "Mandriva Linux 2009" to "Mandriva Linux 2009 Spring"

* Wed Jan 14 2009 Pixel <pixel@mandriva.com> 0.37-1mdv2009.1
+ Revision: 329560
- 0.37:
-- "Mandriva Linux 2009" -> "Mandriva Linux 2009 Spring"

  + Thierry Vignaud <tv@mandriva.org>
    - updated translation

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 0.35-1mdv2009.0
+ Revision: 279133
- 0.35: new image, and move mandriva.pcx

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 0.34-2mdv2009.0
+ Revision: 233530
- 0.34:
- updated translations
- "Mandriva Linux 2008 Spring" -> "Mandriva Linux 2009"

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.33-2mdv2009.0
+ Revision: 223152
- rebuild

* Thu Mar 20 2008 Pixel <pixel@mandriva.com> 0.33-1mdv2008.1
+ Revision: 189151
- 0.33: add "Norsk (nynorsk)" in language menu, and rename "Norsk" (#39107)

* Thu Mar 06 2008 Pixel <pixel@mandriva.com> 0.32-1mdv2008.1
+ Revision: 180883
- 0.32:
- change color of F1,F2... at bottom (as requested by ln)
- adapt the width of the menu so that txt_safe_linux fits, even in uk

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 0.31-1mdv2008.1
+ Revision: 176511
- 0.31: images for 2008.1

* Fri Feb 15 2008 Pixel <pixel@mandriva.com> 0.30-1mdv2008.1
+ Revision: 168984
- 0.30: explicitly set "text" in cmdline when "Text" is chosen
  (needed since drakx-installer-stage2 10.6.13 which tries "vesa" is framebuffer
  failed)

* Fri Jan 25 2008 Pixel <pixel@mandriva.com> 0.29-1mdv2008.1
+ Revision: 157898
- 0.29: "Install Mandriva Linux 2008 Spring on your system" is too long,
  replacing it with "Install Mandriva Linux 2008 Spring"

* Wed Jan 23 2008 Pixel <pixel@mandriva.com> 0.28-1mdv2008.1
+ Revision: 157208
- 0.28:
- updated translations
- "Mandriva Linux 2008" -> "Mandriva Linux 2008 Spring"

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 03 2007 Thierry Vignaud <tv@mandriva.org> 0.27-1mdv2008.0
+ Revision: 95119
- updated translation

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 0.26-1mdv2008.0
+ Revision: 90589
- 0.26:
- move "Boot Options" line so that it leaves space for many bootloader entries
  (#33631)

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 0.25-1mdv2008.0
+ Revision: 88988
- 0.25: release disable hebrew until font issue is fixed (#30862)

* Mon Sep 10 2007 Pixel <pixel@mandriva.com> 0.24-1mdv2008.0
+ Revision: 84005
- 0.24:
- images for 2008.0
- disable hebrew until font issue is fixed (#30862)
- change color of F1,F2... at bottom so that it's readable
- adapt the position and width of the menu to the image
- increase max entries (it won't hurt if you have less, and the user doesn't
  know the hidden entries can be obtained through scrolling the list of entries)

* Mon Sep 03 2007 Pixel <pixel@mandriva.com> 0.23-1mdv2008.0
+ Revision: 78484
- 0.23: images for 2008.0

* Tue Aug 07 2007 Pixel <pixel@mandriva.com> 0.22-2mdv2008.0
+ Revision: 59742
- build on x86_64 (as suggested by Anssi, #32339)

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 0.22-1mdv2008.0
+ Revision: 58505
- fix Group
- s/2007 Spring/2008/


* Thu Mar 29 2007 Pixel <pixel@mandriva.com> 0.21-1mdv2007.1
+ Revision: 149313
- new release, 0.21
- remove weird/unknown "livecd" stuff
- adapt livecd F2/F3/F4 to what we really want for mandriva one
- transform "live" entry into "Boot Mandriva Linux 2007 Spring"
  (to be similar to grub entry of installed system)
  (nb: to activate livecd, put "livecd=1" in isolinux/gfxboot.cfg)

* Tue Mar 27 2007 Pixel <pixel@mandriva.com> 0.20-1mdv2007.1
+ Revision: 148817
- 0.20, new release
- fix translation in zh_CN (and partially pt_BR)
- fix description (thanks to Luis Vicente Castillo Corbella)

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.19-1mdv2007.1
+ Revision: 148525
- 0.19, new release with fixed pt_BR translation

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.18-1mdv2007.1
+ Revision: 148344
- new release, 0.18: more up-to-date translations

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 0.17-1mdv2007.1
+ Revision: 146523
- allow grub-gfxmenu to be quiet on error

* Mon Mar 19 2007 Pixel <pixel@mandriva.com> 0.16-1mdv2007.1
+ Revision: 146503
- new release, 0.16
- add "F6 - Kernel Option" to isolinux
- update product to "Mandriva Linux 2007 Spring"

* Sat Mar 17 2007 Pixel <pixel@mandriva.com> 0.15-1mdv2007.1
+ Revision: 145613
- bug fix release: allow using grub-gfxmenu --update-gfxmenu to create /boot/gfxmenu (#29353)

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 0.14-1mdv2007.1
+ Revision: 145255
- new release, 0.14
- larger menu (needed for long strings in some translations)
- grub-gfxboot: be quiet

* Thu Mar 15 2007 Pixel <pixel@mandriva.com> 0.13-1mdv2007.1
+ Revision: 144381
- new release, 0.13
- add script grub-gfxmenu which allows setting the language, the theme,
  and updating the package
- call grub-gfxmenu --update-gfxmenu on upgrade

* Wed Mar 14 2007 Pixel <pixel@mandriva.com> 0.12-1mdv2007.1
+ Revision: 143658
- new release, 0.12
- grub
  o have all langs in boot/message
  o ensure the menu.entry returned is based on real list,
    not the light list (#29327)
- isolinux
  o moved languages out of bootlogo
  o moved translations inside bootlogo
    (to avoid cluttering isolinux/ on CDs)

* Thu Mar 08 2007 Pixel <pixel@mandriva.com> 0.10-1mdv2007.1
+ Revision: 138395
- wrap %%description too long line
- new release, 0.10
- grub:
  o do have a short panel
    (esp. useful so that using "F2-Options" will unhide the cmdline)
  o hide linux-nonfb (we'll make it available through a menu)
- isolinux
  o pass updatemodules when chosen F5-Driver Yes

* Wed Mar 07 2007 Pixel <pixel@mandriva.com> 0.9-1mdv2007.1
+ Revision: 134387
- new release, 0.9
- reduce the number of lines to avoid garbage in language menu (#28734)
- ensure the chosen resolution overrides the default resolution
- hide the "boot options line" by default.
  It will be displayed using F3 (Options)
  (nb: need adding F3 to grub)
- dynamically drop some entries (vgalo, vgahi, text, noacpi, alt0)
  (it will allow having those entries when gfxboot fails)
- remove existing automatic= option
- drop F8 and F9 (otherwise it crashes, cf #28993)

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 0.8-1mdv2007.1
+ Revision: 122048
- fix black screen (re-save welcome.jpg with gimp)

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 0.7-1mdv2007.1
+ Revision: 121927
- remove tmpfile.tr
- new image
- neat & verbose entries at boot and at install
- remove not handled install methods
- don't build require gimp (not needed anymore)

* Wed Feb 14 2007 Warly <warly@mandriva.com> 0.6-1mdv2007.1
+ Revision: 120928
- update tarball and spec for version 0.6

* Tue Jan 16 2007 Pixel <pixel@mandriva.com> 0.5-2mdv2007.1
+ Revision: 109447
- rebuild (x86_64 is missing)

* Tue Dec 12 2006 Warly <warly@mandriva.com> 0.5-1mdv2007.1
+ Revision: 95710
- update tarball and spec for version 0.5
- update tarball and spec for version 0.5
- update tarball and spec for version 0.4

* Wed Dec 06 2006 Pixel <pixel@mandriva.com> 0.4-1mdv2007.1
+ Revision: 91781
- add the missing star.dat
- adapt to gfxboot format 8, boot/ theme now working with grub
- build require new gfxboot (the format has changed)
- Import mandriva-gfxboot-theme

* Thu Sep 21 2006 Warly <warly@mandriva.com> 0.3-1mdv2007.0
- add more translation
- rebuild for final

* Fri Sep 15 2006 Warly <warly@mandriva.com> 0.2-1mdv2007.0
- adjust the menu size and position
- adjust the logo position
- clean some wrong help messages

* Fri Jul 14 2006 Warly <warly@mandriva.com> 0.1-1mdv2007.0
- Initial build.

